SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   OS (UNIX)  >   OpenBSD Kernel Vendors:   OpenBSD
OpenBSD httpd Bugs Let Remote Users Deny Service
SecurityTracker Alert ID:  1037758
SecurityTracker URL:  http://securitytracker.com/id/1037758
CVE Reference:   CVE-2017-5850   (Links to External Site)
Updated:  Feb 15 2017
Original Entry Date:  Feb 1 2017
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 5.9, 6.0
Description:   Two vulnerabilities were reported in OpenBSD httpd. A remote authenticated user can consume excessive CPU resources on the target system. A remote user can consume excessive memory on the target system.

A remote authenticated user can exploit a flaw in SSL client-initiated renegotiation to consume excessive CPU resources on the target system.

A remote user can send HTTP requests with specially crafted Bytes-range values to consume excessive memory on the target system [CVE-2017-5850].

Impact:   A remote authenticated user can consume excessive CPU resources on the target system.

A remote user can consume excessive memory resources on the target system.

Solution:   The vendor has issued a fix, available at:

https://ftp.openbsd.org/pub/OpenBSD/patches/5.9/common/034_httpd.patch.sig
https://ftp.openbsd.org/pub/OpenBSD/patches/6.0/common/017_httpd.patch.sig

Vendor URL:  openbsd.org/ (Links to External Site)
Cause:   Resource error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC